Subject: bug#46583: 28.0.50; nested minibuffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Feb 2021 21:46:15 +0200

> From: Juri Linkov <[email-masked]>
> Date: Wed, 17 Feb 2021 20:48:08 +0200
> Cc: [email-masked]
> 
> Let-binding enable-recursive-minibuffers temporarily to t was necessary
> to fix bug#17272/bug#19064.
> 
> So when the minibuffer is already activated, and a minibuffer command
> wants to ask a question, displaying another recursive minibuffer with
> such question should override the value of enable-recursive-minibuffers.

Those bugs are about an echo-area message overwriting the minibuffer
prompt, are they not?  If so, doesn't the set-message-function feature
we now have fixed those bugs indirectly, this removing the need for
let-binding enable-recursive-minibuffers?